RasaX Installation not working already did multiple reinstalls

ERROR concurrent.futures - exception calling callback for <Future at 0x16e9ccb13d0 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\ayman\anaconda3\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\ayman\anaconda3\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\ayman\anaconda3\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\ayman\anaconda3\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\ayman\anaconda3\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\ayman\anaconda3\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-09-23 07:28:39 ERROR concurrent.futures - exception calling callback for <Future at 0x16e9ccb1880 state=finished returned list> Traceback (most recent call last): File “C:\Users\ayman\anaconda3\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\ayman\anaconda3\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\ayman\anaconda3\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\ayman\anaconda3\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “C:\Users\ayman\anaconda3\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\ayman\anaconda3\lib\asyncio\base_events.py”, line 616, in run_until_complete return future.result() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\stack_service.py”, line 112, in version response = await session.get( File “C:\Users\ayman\anaconda3\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “C:\Users\ayman\anaconda3\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@aymane258 can you share the rasa --version?

Rasa Version : 2.8.7 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.2 Rasa X Version : 0.42.2 Python Version : 3.8.8 Operating System : Windows-10-10.0.19041-SP0 Python Path : C:\Users\ayman\anaconda3\python.exe

@aymane258

I’d recommend to create a fresh conda environment with python 3.8 and follow the step

`pip install rasa==2.8.1`
`pip install rasa-sdk==2.8.1'

check version rasa --version its install or not

then

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

check rasa version rasa --version its install or not

You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install

pip install SQLAlchemy==1.3.22 should fix it

If sanic related error: pip install sanic-jwt==1.6.0

delete .db if is showing alembic issue.

Good luck! I hope this will solve your issue.

1 Like

I honestly appreciate what you are doing. Hope you have a blessed life

I will let you know if it worked

@aymane258 It should work, its clean available solution on the forum, If you got any issue please let me know. I’d encourage try now, as me off for some time for days.

1 Like

Yes its installing rn. Will let you know asap! <3

@aymane258 sure, please do mention me @ and nik202.

Traceback (most recent call last): File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.script.revision.ResolutionError: No such revision or branch ‘652500998f3e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 843, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 365, in _upgrade_revs return [ File “C:\Users\ayman\anaconda3\envs\rasa\lib\contextlib.py”, line 131, in exit self.gen.throw(type, value, traceback) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\ayman\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.util.exc.CommandError: Can’t locate revision identified by ‘652500998f3e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@aymane258 please delete .db file i.e events and rasa and then try run rasa x again.

it worked opened in browser but still got tis eroor 2021-09-23 11:44:02 ERROR concurrent.futures - exception calling callback for <Future at 0x187b3d0e550 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\ayman\anaconda3\envs\rasa\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\ayman\anaconda3\envs\rasa\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\ayman\anaconda3\envs\rasa\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-09-23 11:44:02 ERROR concurrent.futures - exception calling callback for <Future at 0x187b3ce7df0 state=finished returned list> Traceback (most recent call last): File “C:\Users\ayman\anaconda3\envs\rasa\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-09-23 11:44:05 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-8’ coro=<TCPConnector._resolve_host() done, defined at C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:806> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\Users\ayman\anaconda3\envs\rasa\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x00000187B3CE7580>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at C:\Users\ayman\anaconda3\envs\rasa\lib\site-packages\aiohttp\connector.py:1002]>

@aymane258 delete cookies and cache in the default web browser for the same and then try run rasa x again please. This should work.

@aymane258 If you are able to chat with your bot, then you can ignore the error.

Thanks alot brother. Can’t thank you enough!

@aymane258 No worries mate, please close this thread for the solution for others.

@aymane258 Its not related to the TCP or internet issue. If you are able to chat with bot then you are good to go. It will not harm you anyways.

@aymane258 please change the topic category to rasa x only and remove feedback on rasa x and mark the solution on the thread.